List pending configuration change proposals
GET
/api/v1/projects/{projectId}/config-actions
const url = 'https://app.avera.io/api/v1/projects/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/config-actions';const options = {method: 'GET'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://app.avera.io/api/v1/projects/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/config-actionsFor one change request when changeRequestId is given, otherwise the whole project.
Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”projectId
required
string format: uuid
Query Parameters
Section titled “Query Parameters”changeRequestId
string
Responses
Section titled “Responses”OK
Media type*/*
Array<object>
object
id
required
string format: uuid
batchId
required
string format: uuid
batchOrder
required
integer format: int32
type
required
string
status
required
string
changeRequestId
required
string
targetType
required
string
targetId
string | null
payload
required
string
authorActor
required
string
authorId
required
string format: uuid
authorAt
required
string format: date-time
resolvedBy
string | null format: uuid
resolvedAt
string | null format: date-time
originatingChatSessionId
string | null format: uuid